Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X GET "https://api.box.com/2.0/retention_policies/982312/assignments" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"entries": [
{
"id": "11446498",
"type": "retention_policy_assignment",
"retention_policy": {
"id": "12345",
"type": "retention_policy",
"policy_name": "Some Policy Name",
"retention_length": "365",
"disposition_action": "permanently_delete",
"max_extension_length": "365"
},
"assigned_to": {
"id": "a983f69f-e85f-4ph4-9f46-4afdf9c1af65",
"type": "metadata_template"
},
"filter_fields": [
{
"field": "a0f4ee4e-1dc1-4h90-a8a9-aef55fc681d4",
"value": "0c27b756-0p87-4fe0-a43a-59fb661ccc4e"
}
],
"assigned_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"assigned_at": "2012-12-12T10:53:43-08:00",
"start_date_field": "upload_date"
}
],
"limit": 1000,
"next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
}指定したリテンションポリシーに関連付けられているすべてのリテンションポリシー割り当てのリストを返します。
curl -i -X GET "https://api.box.com/2.0/retention_policies/982312/assignments" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"entries": [
{
"id": "11446498",
"type": "retention_policy_assignment",
"retention_policy": {
"id": "12345",
"type": "retention_policy",
"policy_name": "Some Policy Name",
"retention_length": "365",
"disposition_action": "permanently_delete",
"max_extension_length": "365"
},
"assigned_to": {
"id": "a983f69f-e85f-4ph4-9f46-4afdf9c1af65",
"type": "metadata_template"
},
"filter_fields": [
{
"field": "a0f4ee4e-1dc1-4h90-a8a9-aef55fc681d4",
"value": "0c27b756-0p87-4fe0-a43a-59fb661ccc4e"
}
],
"assigned_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"assigned_at": "2012-12-12T10:53:43-08:00",
"start_date_field": "upload_date"
}
],
"limit": 1000,
"next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
リテンションポリシーのID。
取得するリテンションポリシー割り当てのタイプ。
folder, enterprise, metadata_template レスポンスに含める属性のコンマ区切りリスト。このパラメータを使用すると、標準のレスポンスには通常含まれないフィールドをリクエストできます。
このパラメータを指定すると、明示的に指定しない限り標準フィールドはレスポンスに含まれず、リクエストしたフィールドのほかには、Mini版の表示のフィールドしか返されないことに注意してください。
結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。
返す項目の1ページあたりの最大数。
x <= 1000指定したリテンションポリシーに関連付けられているリテンションポリシー割り当てのリストを返します。
このページは役に立ちましたか?